partial_sum.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_parallel

## Functions

template<typename _IIter , typename _OutputIterator , typename _BinaryOperation >
_OutputIterator | __gnu_parallel::__parallel_partial_sum (_IIter __begin, _IIter __end, _OutputIterator __result, _BinaryOperation __bin_op)
template<typename _IIter , typename _OutputIterator , typename _BinaryOperation >
_OutputIterator | __gnu_parallel::__parallel_partial_sum_basecase (_IIter __begin, _IIter __end, _OutputIterator __result, _BinaryOperation __bin_op, typename std::iterator_traits< _IIter >::value_type __value)
template<typename _IIter , typename _OutputIterator , typename _BinaryOperation >
_OutputIterator | __gnu_parallel::__parallel_partial_sum_linear (_IIter __begin, _IIter __end, _OutputIterator __result, _BinaryOperation __bin_op, typename std::iterator_traits< _IIter >::difference_type __n)

## Detailed Description

Parallel implementation of std::partial_sum(), i.e. prefix sums. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file partial_sum.h.